{ config, pkgs, lib, ... }: {
  imports = [ ./fonts.nix ];

  programs = {
    light.enable = true;
    nm-applet.enable = true;
  };

  networking = {
    networkmanager = {
      enable = true;
      wifi.scanRandMacAddress = false;
    };
  };

  services = {
    geoclue2.enable = true;
    gvfs.enable = true;
    xserver = {
      enable = true;

      videoDrivers = [ "intel" ];
      deviceSection = ''
        Option "DRI" "3"
        Option "TearFree" "true"
      '';
      useGlamor = true;

      desktopManager = {
        session = [{
          name = "home-manager";
          start = ''
            ${pkgs.runtimeShell} $HOME/.hm-xsession &
            waitPID=$!
          '';
        }];
      };
      displayManager = {
        defaultSession = "home-manager";
        autoLogin = {
          enable = true;
          user = "mat";
        };
      };
    };

  };
}
