{ config, pkgs, lib, ... }:

{

  imports = [ ./common.nix ./local.nix ./graphical.nix ];

  home-manager.useUserPackages = true;
  home-manager.useGlobalPkgs = true;

  home-manager.users.mat =
    import ../users/mat-hm-laptop.nix { inherit lib pkgs; };

  # enable power management
  powerManagement.enable = true;

  services = {
    upower.enable = true;
    xserver = {
      # Enable touchpad support.
      libinput = {
        enable = true;
        touchpad = {
          naturalScrolling = true;
          disableWhileTyping = false;
        };
      };
    };
  };

  # Enable sound.
  sound.enable = true;

  # Hardware switches
  hardware = {
    logitech.wireless = {
      enable = true;
      # enableGraphical = true;
    };
    opengl = {
      driSupport32Bit = true;
      extraPackages32 = [ pkgs.pkgsi686Linux.libva ];
    };
    pulseaudio = {
      enable = true;
      support32Bit = true;
    };
  };

  nixpkgs.config.allowUnfree = true;
}
